commit 91f8cff2c48f678d4ba7ed3b3845290c45a672b3
Author: Florian Weimer <fweimer@redhat.com>
Date:   Fri Mar 7 07:52:11 2025 +0100

    configure: Fix spelling of -Wl,--no-error-execstack option
    
    BFD ld recognizes all -no-* options (with a single leading dash)
    unconditionally.
    
    Fixes commit a2bd5008a99032830add3e4005c25b61e3207112
    ("Pass -Wl,--no-error-execstack for tests where -Wl,-z,execstack
    is used [PR32717]").
    
    (cherry picked from commit 59dc232df277c21239c357e3519682c26e182cd7)

diff --git a/configure.ac b/configure.ac
index 5f6f0b72bc..57cd24c87d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1318,7 +1318,7 @@ if test $libc_cv_as_noexecstack = yes; then
 fi
 AC_SUBST(ASFLAGS_config)
 
-LIBC_LINKER_FEATURE([--no-error-execstack], [-Wl,-no-error-execstack],
+LIBC_LINKER_FEATURE([--no-error-execstack], [-Wl,--no-error-execstack],
 		    [libc_cv_no_error_execstack=yes], [libc_cv_no_error_execstack=no])
 AC_SUBST(libc_cv_no_error_execstack)
 

